## rpi-lgpio 0.3

=== Makefile ===
# vim: set noet sw=4 ts=4 fileencoding=utf-8:

# External utilities
PYTHON ?= python3
PIP ?= pip3
PYTEST ?= pytest
TWINE ?= twine
PYFLAGS ?=
DEST_DIR ?= /

# Calculate the base names of the distribution, the location of all source,
# documentation, packaging, icon, and executable script files
NAME:=$(shell $(PYTHON) $(PYFLAGS) setup.py --name)
WHEEL_NAME:=$(subst -,_,$(NAME))
VER:=$(shell $(PYTHON) $(PYFLAGS) setup.py --version)
PY_SOURCES:=$(shell \
	$(PYTHON) $(PYFLAGS) setup.py egg_info >/dev/null 2>&1 && \
	cat $(WHEEL_NAME).egg-info/SOURCES.txt | grep -v "\.egg-info"  | grep -v "\.mo$$")
DOC_SOURCES:=docs/conf.py \
	$(wildcard docs/*.png) \
	$(wildcard docs/*.svg) \
	$(wildcard docs/*.dot) \
	$(wildcard docs/*.mscgen) \
	$(wildcard docs/*.gpi) \
	$(wildcard docs/*.rst) \
	$(wildcard docs/*.pdf)
SUBDIRS:=

# Calculate the name of all outputs
DIST_WHEEL=dist/$(WHEEL_NAME)-$(VER)-py3-none-any.whl
DIST_TAR=dist/$(NAME)-$(VER).tar.gz
DIST_ZIP=dist/$(NAME)-$(VER).zip
MAN_PAGES=


# Default target
all:
	@echo "make install - Install on local system"
	@echo "make develop - Install symlinks for development"
	@echo "make test - Run tests"
	@echo "make doc - Generate HTML and PDF documentation"
	@echo "make preview - Preview HTML documentation with local server"
	@echo "make source - Create source package"
	@echo "make wheel - Generate a PyPI wheel package"
	@echo "make zip - Generate a source zip package"
	@echo "make tar - Generate a source tar package"
	@echo "make dist - Generate all packages"
	@echo "make clean - Get rid of all generated files"
	@echo "make release - Create and tag a new release"
	@echo "make upload - Upload the new release to repositories"

install: $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py install --root $(DEST_DIR)

doc: $(DOC_SOURCES)
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(MAKE) -C docs epub
	$(MAKE) -C docs latexpdf
	$(MAKE) $(MAN_PAGES)

preview:
	$(MAKE) -C docs preview

source: $(DIST_TAR) $(DIST_ZIP)

wheel: $(DIST_WHEEL)

zip: $(DIST_ZIP)

tar: $(DIST_TAR)

dist: $(DIST_WHEEL) $(DIST_TAR) $(DIST_ZIP)

develop:
	@# These have to be done separately to avoid a cockup...
	$(PIP) install -U setuptools
	$(PIP) install -U pip
	$(PIP) install -U twine
	$(PIP) install -U tox
	$(PIP) install -e .[doc,test,yaml]

test:
	$(PYTEST)

clean:
	rm -fr build/ dist/ man/ .pytest_cache/ .mypy_cache/ $(WHEEL_NAME).egg-info/ tags .coverage*
	for dir in docs $(SUBDIRS); do \
		$(MAKE) -C $$dir clean; \
	done
	find $(CURDIR) -name "*.pyc" -delete
	find $(CURDIR) -name "__pycache__" -delete

tags: $(PY_SOURCES)
	ctags -R --languages="Python" $(PY_SOURCES)

lint: $(PY_SOURCES)
	pylint $(WHEEL_NAME)

$(SUBDIRS):
	$(MAKE) -C $@

$(MAN_PAGES): $(DOC_SOURCES)
	$(MAKE) -C docs man
	mkdir -p man/
	cp build/man/*.[0-9] man/

$(DIST_TAR): $(PY_SOURCES) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py sdist --formats gztar

$(DIST_ZIP): $(PY_SOURCES) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py sdist --formats zip

$(DIST_WHEEL): $(PY_SOURCES) $(SUBDIRS)
	$(PYTHON) $(PYFLAGS) setup.py bdist_wheel

release:
	$(MAKE) clean
	test -z "$(shell git status --porcelain)"
	git tag -s release-$(VER) -m "Release $(VER)"
	git push origin release-$(VER)

upload: $(DIST_TAR) $(DIST_WHEEL)
	$(TWINE) check $(DIST_TAR) $(DIST_WHEEL)
	$(TWINE) upload $(DIST_TAR) $(DIST_WHEEL)

.PHONY: all install develop test doc source wheel zip tar dist clean tags release upload $(SUBDIRS)

=== debian/changelog ===
rpi-lgpio (0.3-0ubuntu1) kinetic; urgency=medium

  * Initial release. (LP: #1992784)

 -- Dave Jones <dave@waveform.org.uk>  Fri, 14 Oct 2022 01:36:59 +0100

=== debian/control ===
Source: rpi-lgpio
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Dave Jones <dave@waveform.org.uk>,
Homepage: https://github.com/waveform80/rpi-lgpio
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-doc,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.6.1.0
Vcs-Git: https://salsa.debian.org/python-team/packages/rpi-lgpio.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/rpi-lgpio
Rules-Requires-Root: no

Package: python3-rpi-lgpio
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-lgpio
Provides: python3-rpi.gpio
Conflicts: python3-rpi.gpio
Description: Compatibility shim for lgpio emulating the RPi.GPIO API
 The rpi-lgpio library provides an RPi.GPIO compatible interface to the
 lgpio library, which operates GPIO via the Linux kernel's gpiochip devices.
 .
 This is the Python 3 version of the API.

Package: python-rpi-lgpio-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}, python3-doc
Description: Compatibility shim for lgpio emulating the RPi.GPIO API - docs
 The rpi-lgpio library provides an RPi.GPIO compatible interface to the
 lgpio library, which operates GPIO via the Linux kernel's gpiochip devices.
 .
 This is the documentation for the API.

## rpi-lgpio 0.4

=== debian/changelog ===
rpi-lgpio (0.4-0ubuntu1) mantic; urgency=medium

  * New upstream release. (LP: #2038311)
  * Adds Pi 5 compatibility
  * Bump standards version
  * d/p/local-objects-inv.patch: actually use the local docs, not just the
    object inventory

 -- Dave Jones <dave.jones@canonical.com>  Wed, 04 Oct 2023 10:17:49 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/rpi-lgpio.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rpi-lgpio
 Rules-Requires-Root: no

## rpi-lgpio 0.5

=== Makefile ===
--- 
+++ 
@@ -78,7 +78,7 @@
 	$(PIP) install -U pip
 	$(PIP) install -U twine
 	$(PIP) install -U tox
-	$(PIP) install -e .[doc,test,yaml]
+	$(PIP) install -e .[doc,test]
 
 test:
 	$(PYTEST)

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = ../build
PY_SOURCES    := $(wildcard ../RPi/*.py ../RPi/*/*.py)
DOT_DIAGRAMS  := $(wildcard images/*.dot)
MSC_DIAGRAMS  := $(wildcard images/*.mscgen)
GPI_DIAGRAMS  := $(wildcard images/*.gpi)
SVG_IMAGES    := $(wildcard images/*.svg) $(DOT_DIAGRAMS:%.dot=%.svg) $(MSC_DIAGRAMS:%.mscgen=%.svg)
PNG_IMAGES    := $(wildcard images/*.png) $(GPI_DIAGRAMS:%.gpi=%.png) $(SVG_IMAGES:%.svg=%.png)
PDF_IMAGES    := $(SVG_IMAGES:%.svg=%.pdf) $(GPI_DIAGRAMS:%.gpi=%.pdf) $(DOT_DIAGRAMS:%.dot=%.pdf) $(MSC_DIAGRAMS:%.mscgen=%.pdf)
INKSCAPE_VER  := $(shell DISPLAY= inkscape --version | sed -ne '/^Inkscape/ s/^Inkscape \([0-9]\+\)\..*$$/\1/p')

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  preview    to start a web-server that watches for file changes"
	@echo "             and re-builds the docs when required"
	@echo "  json       to make JSON files"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html: $(SVG_IMAGES) $(PNG_IMAGES)
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: $(PDF_IMAGES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: $(PDF_IMAGES)
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

preview:
	../scripts/previewer $(BUILDDIR)/html

images/types.dot: $(PY_SOURCES)
	../scripts/class_graph -i Type -i Stats -x Fields -x SourcesList -x Redo > $@

%.svg: %.mscgen
	mscgen -T svg -o $@ $<

%.svg: %.dot
	dot -T svg -o $@ $<

%.png: %.gpi
	gnuplot -e "set term pngcairo transparent size 400,400" $< > $@

ifeq ($(INKSCAPE_VER),0)
%.png: %.svg
	DISPLAY= inkscape --export-dpi 150 -e $@ $<

%.pdf: %.svg
	DISPLAY= inkscape -A $@ $<
else
%.png: %.svg
	DISPLAY= inkscape --export-dpi 150 --export-type png -o $@ $<

%.pdf: %.svg
	DISPLAY= inkscape --export-type pdf -o $@ $<
endif

%.pdf: %.gpi
	gnuplot -e "set term pdfcairo size 5cm,5cm" $< > $@

%.pdf: %.mscgen
	mscgen -T eps -o - $< | ps2pdf -dEPSCrop - $@

.PHONY: help clean html preview json epub latex latexpdf text man changes linkcheck doctest gettext

=== debian/changelog ===
rpi-lgpio (0.5-0ubuntu1) noble; urgency=medium

  * New upstream release, fixing GPIO2/3 operation (LP: #2060754)
  * d/control: Remove redundant explicit dep on lgpio

 -- Dave Jones <dave.jones@canonical.com>  Tue, 16 Apr 2024 23:02:38 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 Package: python3-rpi-lgpio
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-lgpio
+Depends: ${misc:Depends}, ${python3:Depends}
 Provides: python3-rpi.gpio
 Conflicts: python3-rpi.gpio
 Description: Compatibility shim for lgpio emulating the RPi.GPIO API

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS

export PYBUILD_NAME=rpi-lgpio

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html

override_dh_auto_test:
	# Don't attempt to run any tests because there aren't any yet and
	# attempting to import the module tries to import lgpio which isn't a
	# build-dep

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-rpi-lgpio -ppython-rpi-lgpio-doc
	dh_installdocs -ppython3-rpi-lgpio

## rpi-lgpio 0.6

=== debian/changelog ===
rpi-lgpio (0.6-0~rpt1+trixie) trixie; urgency=medium

  * Update gbp.conf
  * Trixie rebuild
  * Update maintainer information

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 21 May 2025 17:26:20 +0100

rpi-lgpio (0.6-0~rpt1) bookworm; urgency=medium

  * Raspberry Pi OS rebuild

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 11 Sep 2024 10:45:29 +0100

rpi-lgpio (0.6-0ubuntu1) oracular; urgency=medium

  * New upstream release, fixing future gpiochip renumber (LP: #2065493)

 -- Dave Jones <dave.jones@canonical.com>  Sat, 11 May 2024 18:22:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,5 @@
 Source: rpi-lgpio
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders:
- Dave Jones <dave@waveform.org.uk>,
+Maintainer: Serge Schneider <serge@raspberrypi.com>
 Homepage: https://github.com/waveform80/rpi-lgpio
 Section: python
 Priority: optional
@@ -15,8 +12,6 @@
  python3-sphinx,
  python3-sphinx-rtd-theme,
 Standards-Version: 4.6.2
-Vcs-Git: https://salsa.debian.org/python-team/packages/rpi-lgpio.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/rpi-lgpio
 Rules-Requires-Root: no
 
 Package: python3-rpi-lgpio
